Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Deals

Update Deal

PATCH
/v1/deals/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

include_details?array<string>

Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
external_id?|null
status_id?string
Formatuuid
status_key?string
Length1 <= length
type_key?string
Length1 <= length
assignee_id?|null
contact_id?string
Formatuuid
value?string|number|null
currency?"CHF" | "EUR" | "USD"
Value in"CHF" | "EUR" | "USD"
won_at?|null
lost_at?|null
[key: string]?unknown

Response Body

application/json

curl -X PATCH "https://api.getmateo.com/v1/deals/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "name": "string",  "external_id": "string",  "status_id": "4e949624-bc0f-439e-a9f2-25a23938812c",  "status_key": "string",  "type_key": "string",  "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "value": 0,  "currency": "CHF",  "won_at": "2019-08-24T14:15:22Z",  "won_at_date": "2019-08-24T14:15:22Z",  "won_at_time": "string",  "lost_at": "2019-08-24T14:15:22Z",  "lost_at_date": "2019-08-24T14:15:22Z",  "lost_at_time": "string",  "deleted_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "property1": null,  "property2": null}